Bug 7469 - Focus on 1st field of creation form instead of search textbox
Summary: Focus on 1st field of creation form instead of search textbox
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Fridolin SOMERS
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-25 16:09 UTC by Adrien SAURAT
Modified: 2014-12-07 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7469 - Focus on 1st field of creation form instead of search textbox (Acquisition) (7.85 KB, patch)
2013-08-06 13:28 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[Signed off] Bug 7469 - Focus on 1st field of creation form instead of search textbox (Acquisition) (7.84 KB, application/mbox)
2013-08-10 00:08 UTC, Melia Meggs
Details
Bug 7469 - Focus on 1st field of creation form instead of search textbox (Acquisition) (7.87 KB, patch)
2013-08-16 11:52 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7469 - Focus on 1st field of creation form instead of search textbox (Acquisition) (8.07 KB, patch)
2013-09-13 10:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2012-01-25 16:09:08 UTC
When a user creates a new vendor, a new borrower or a new basket (maybe on others pages too, to be listed), a creation form is displayed, but the focus is still on the search textbox on page top.

It would be probably better to switch the focus to the first field of the creation form.
Comment 1 Fridolin SOMERS 2013-08-06 13:28:10 UTC Comment hidden (obsolete)
Comment 2 Melia Meggs 2013-08-10 00:08:35 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-08-16 11:52:12 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-09-13 10:37:18 UTC
Created attachment 21078 [details] [review]
Bug 7469 - Focus on 1st field of creation form instead of search textbox (Acquisition)

When a user creates a new vendor, a new borrower or a new basket (maybe on others pages too, to be listed), a creation form is displayed, but the focus is still on the search textbox on page top.
It would be probably better to switch the focus to the first field of the creation form.

This patch adds the focus, for acquisition module, on first input for pages with a data creation or modification or pages with only one form (like Z3950 search).

Test plan :
Go to pages and look where is the focus :
- acqui/basketgroup.pl : focus on "Basket group name:"
- acqui/basketheader.pl : focus on "Basket name:"
- acqui/invoices.tt : focus on "Invoice no:"
- acqui/modordernotes.pl : focus on "Notes:"
- acqui/neworderempty.pl : focus on "Title:"
- acqui/supplier.pl : focus on "Name:"
- acqui/z3950_search.pl : focus on "Title:"

Signed-off-by: Melia Meggs <melia@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
The focus choice is relevant and works as described.
Comment 5 Galen Charlton 2013-09-16 15:59:47 UTC
Pushed to master, along with the follow-up that sets the focus for the acqui/parcels.pl form.

Thanks, Fridolyn!